# 产品背景 (Product Context)

## 1. 解决的问题

在数字化生活中，双因素认证 (2FA) 已成为保护账户安全的重要手段。其中，基于时间的一次性密码 (TOTP) 是最常见的实现方式之一。用户通常需要依赖手机应用（如 Google Authenticator, Authy）或桌面程序来管理他们的 TOTP 密钥并获取动态密码。

然而，现有方案存在一些痛点：

- **跨设备同步不便**: 某些认证应用（特别是早期版本）不提供云同步功能，更换设备或同时在多台设备上使用时，数据迁移非常繁琐。
- **数据备份和恢复**: 备份和恢复流程往往不够直观，用户可能会因为忘记备份或备份文件丢失而永久失去对账户的访问权限。
- **平台依赖性**: 用户被锁定在特定的应用或生态系统中。

本项目旨在提供一个轻量、透明且完全由用户掌控的 TOTP 管理工具，以解决上述问题。

## 2. 产品定位与目标用户

- **定位**: 一个纯粹的、基于浏览器的、开源的 TOTP 认证器。它将简单、安全和用户控制权放在首位。
- **目标用户**:
  - **注重隐私和数据所有权的技术爱好者**: 他们希望自己的敏感密钥数据完全掌握在自己手中，不上传到任何云端。
  - **开发者和 IT 专业人员**: 他们需要一个便捷、可靠的工具来管理多个服务的 TOTP，并欣赏其导入/导出功能的灵活性。
  - **普通用户**: 寻求一个简单、免费且无需安装额外软件的备用 TOTP 解决方案。

## 3. 核心用户体验 (UX) 目标

- **即时可用**: 用户打开网页即可立即使用，无需注册或复杂配置。
- **操作直观**: 添加、查看、复制和删除 TOTP 的流程应尽可能简化，符合用户直觉。
- **信息清晰**: 动态密码、剩余时间、账户名称等关键信息一目了然。
- **安全透明**: 明确告知用户所有数据均存储在本地，并提供可靠的备份/恢复机制，让用户对自己的数据有完全的控制感和安全感。
